Bug 68283 - RFE: anaconda formats partitions twice
Summary: RFE: anaconda formats partitions twice
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-08 20:36 UTC by Frank Sweetser
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-09 22:04:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frank Sweetser 2002-07-08 20:36:16 UTC
Scenario:

Go through install, and choose more packages than you have space for.
Installer formats partitions, copies installer.
Installer then realizes there isn't enough space, and yells at you to fix it.
Hit back, remove some packages.
Hit go, and the installer reformats all partitions and copies the installer again.

Not a big deal for a 2G partition, but this could mean a considerable amount of
time wasted on large servers and the like.

Comment 1 Jay Turner 2002-07-10 05:53:36 UTC
It shouldn't be performing the formattig twice.  It should actually be telling
you that you don't have enough space before even touching the disks.  What
happens right before the disk partitioning and formatting begins is that we run
the transaction set to determine what order to install the packages in as well
as to ensure that we have enough disk space.  After making changes to the
package selection, we have to run these processes again to ensure that we still
have a sane transaction.  Please reopen if you are seeing the installer format
the disks, then tell yo uthat you don't have enough disk space.

Comment 2 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated


Note You need to log in before you can comment on or make changes to this bug.